{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <link rel="stylesheet" type="text/css" href="{% static 'authentication/style.css' %}" />
{% endblock meta %}
{% block content %}
    <div class = "d-flex flex-column justify-content-center align-items-center padding-4">
        <p class = "montserrat-bold large-font margin-top-2">Sign Up</p>
        <form class = "full-size" action="" method="POST">
            {% csrf_token %}
            <div class = "full-size d-flex flex-column justify-content-center align-items-center">
                <div class = "full-size d-flex flex-column montserrat-regular medium-font margin-1">
                    <p class = "medium-font margin-top-2">Username</p>
                    {{ form.username }}
                </div>
            </div>
            <div class = "full-size d-flex flex-column justify-content-center align-items-center">
                <div class = "full-size d-flex flex-column montserrat-regular medium-font margin-1">
                    <p class = "medium-font margin-top-2">Email</p>
                    {{ form.email }}
                </div>
            </div>
            <div class = "full-size d-flex flex-column justify-content-center align-items-center">
                <div class = "full-size d-flex flex-column montserrat-regular medium-font margin-1">
                    <p class = "medium-font margin-top-2">Password</p>
                    {{ form.password1 }}
                </div>
            </div>
            <div class = "full-size d-flex flex-column justify-content-center align-items-center">
                <div class = "full-size d-flex flex-column montserrat-regular medium-font margin-1">
                    <p class = "medium-font margin-top-2">Password confirmation</p>
                    {{ form.password2 }}
                </div>
            </div>
            <button type="submit" value = "Submit" class="margin-top-2 btn btn-dark montserrat-semibold">Sign Up</button>
        </form>
        <div class = "full-size d-flex justify-content-center align-items-center">
            <div class = "full-size d-flex flex-column justify-content-center align-items-center montserrat-medium medium-font margin-1">
                {% for message in messages %}
                    <p>{{ message }}</p>
                {% endfor %}
            </div>
        </div>
        <div class = "full-size d-flex justify-content-center align-items-center">
            <div class = "full-size d-flex flex-column justify-content-center align-items-center montserrat-medium medium-font margin-1">
                <p>Sudah memiliki akun?</p>
                <a href="{% url 'authentication:authentication-login' %}">Login</a>
            </div>
        </div>
    </div>
{% endblock content %}